Create a new evaluator from a template or custom config
curl --request POST \
--url https://api.decimal.ai/api/v1/evaluators \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.decimal.ai/api/v1/evaluators"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.decimal.ai/api/v1/evaluators', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}evaluators
Create a new evaluator from a template or custom config
Create a new evaluator from a template or custom config.
Body: template_id: str (optional) — use a built-in template agent_name: str (optional) — attach to specific agent name: str — evaluator name display_name: str (optional) description: str (optional) eval_type: “deterministic” | “llm_judge” | “external” category: “quality” | “safety” | “rag” | “agentic” | “custom” prompt_template: str (optional) — for llm_judge type threshold: float (optional, default 0.5) enabled: bool (optional, default true)
POST
/
api
/
v1
/
evaluators
Create a new evaluator from a template or custom config
Authorizations
Enter your API key (e.g. dai_sk_test_key_001)
Cookies
Body
application/json
The body is of type Payload · object.
Response
Successful Response
The response is of type Response Create Evaluator Api V1 Evaluators Post · object.